"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconWebcam02 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M5.33325 14.6666H10.6666M13.6666 6.99992C13.6666 10.1295 11.1295 12.6666 7.99992 12.6666C4.8703 12.6666 2.33325 10.1295 2.33325 6.99992C2.33325 3.8703 4.8703 1.33325 7.99992 1.33325C11.1295 1.33325 13.6666 3.8703 13.6666 6.99992ZM10.1249 6.99992C10.1249 8.17352 9.17352 9.12492 7.99992 9.12492C6.82631 9.12492 5.87492 8.17352 5.87492 6.99992C5.87492 5.82631 6.82631 4.87492 7.99992 4.87492C9.17352 4.87492 10.1249 5.82631 10.1249 6.99992Z",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconWebcam02);
const Webcam02 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "Webcam02", props.className].join(" ")
    }
  );
});
Webcam02.displayName = "IconWebcam02";
exports.default = Webcam02;
